package com.xinelu.manage.service.termbank;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.termbank.TermBank;
import com.xinelu.manage.vo.termbank.TermBankTreeVO;

import java.util.List;

/**
 * 常用术语(知识库)Service接口
 *
 * @author xinelu
 * @date 2024-06-07
 */
public interface ITermBankService {
    /**
     * 查询常用术语(知识库)
     *
     * @param id 常用术语(知识库)主键
     * @return 常用术语(知识库)
     */
    TermBank selectTermBankById(Long id);

    /**
     * 查询常用术语(知识库)列表
     *
     * @param termBank 常用术语(知识库)
     * @return 常用术语(知识库)集合
     */
    List<TermBank> list(TermBank termBank);

    List<TermBank> selectTermBankList(TermBank termBank);

    /**
     * 新增常用术语(知识库)
     *
     * @param termBank 常用术语(知识库)
     * @return 结果
     */
    AjaxResult insertTermBank(TermBank termBank);

    /**
     * 修改常用术语(知识库)
     *
     * @param termBank 常用术语(知识库)
     * @return 结果
     */
    AjaxResult updateTermBank(TermBank termBank);

    /**
     * 批量删除常用术语(知识库)
     *
     * @param ids 需要删除的常用术语(知识库)主键集合
     * @return 结果
     */
    int deleteTermBankByIds(Long[] ids);

    /**
     * 删除常用术语(知识库)信息
     *
     * @param id 常用术语(知识库)主键
     * @return 结果
     */
    int deleteTermBankById(Long id);

    /**
     * 常用术语层级树图
     */
    List<TermBankTreeVO> bankLevel(Long level);
}
